<?php

namespace Litecms\Addons\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AddonTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Addons\Models\Addon $addon)
    {
        return [
            'id'                => $addon->getRouteKey(),
            'key'               => [
                'public'    => $addon->getPublicKey(),
                'route'     => $addon->getRouteKey(),
            ], 
            'admin_user_login'  => $addon->admin_user_login,
            'add_bank'          => $addon->add_bank,
            'hide_compound_rate' => $addon->hide_compound_rate,
            'provide_google_authentication' => $addon->provide_google_authentication,
            'url'               => [
                'public'    => trans_url('addons/'.$addon->getPublicKey()),
                'user'      => guard_url('addons/addon/'.$addon->getRouteKey()),
            ], 
            'status'            => trans('app.'.$addon->status),
            'created_at'        => format_date($addon->created_at),
            'updated_at'        => format_date($addon->updated_at),
        ];
    }
}